GDB (xrefs)

Public Attributes | List of all members
salpy_sal_object Struct Reference

## Public Attributes
PyObject_HEAD symtab_object * | symtab
struct symtab_and_line * | sal
struct salpy_sal_object * | prev
struct salpy_sal_object * | next

## Detailed Description

Definition at line 58 of file py-symtab.c.

## Member Data Documentation

## ◆ next

struct salpy_sal_object* salpy_sal_object::next

Definition at line 69 of file py-symtab.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), del_objfile_sal(), salpy_dealloc(), and set_sal().

## ◆ prev

struct salpy_sal_object* salpy_sal_object::prev

Definition at line 68 of file py-symtab.c.

Referenced by del_objfile_sal(), salpy_dealloc(), and set_sal().

## ◆ sal

struct symtab_and_line* salpy_sal_object::sal

Definition at line 63 of file py-symtab.c.

Referenced by del_objfile_sal(), salpy_dealloc(), and set_sal().

## ◆ symtab

PyObject_HEAD symtab_object* salpy_sal_object::symtab

Definition at line 61 of file py-symtab.c.

Referenced by del_objfile_sal(), salpy_dealloc(), salpy_get_symtab(), salpy_str(), set_sal(), and set_symtab().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-symtab.c